% function for generating the controller transferfunction
% on the form gc = K + I/s
% Written by: Martin S. Foss, fall 2012

function [gc gcPI varargout] = controller(K,I,D,taud,varargin)

s = tf('s');

if nargin == 3
    gc = K + I/s + D*s;     %PID Controller
elseif nargin == 2
    gcPI = K + I/s;         %PI controller
    gc = NaN;
else
    gc = K + I/s + (D*s)/(0.01*taud*s+1);     %PID controller with 
                                              %derivative filter 
end
return