% function for simc PI tuning
% input: 2nd order model + tuning parameter
% returns: simc tuning paramer for a PI controller on the form 
% gc = K + I/s
% Written by: Martin S. Foss, fall 2012

function [tuning gc] = simcPI(gp,tc)

%Determining the model
t = gp.den{1}(1);           %time constant
d = totaldelay(gp);         %time delay
g = gp.num{1}(end);         %gain
z = zero(gp);               %zeros
p = pole(gp);               %poles

if length(gp.den{1}) > 2
    disp('model order to high')
    return
elseif isempty(z) == 0
    disp('model cannot contain zeros')
    return
end

K = t/(g*(tc+d));
I = K/min(t,4*(tc+d));

tuning = [K I]';
[gcPID gc] = controller(K,I);
return